Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.webdav.xml
Class DAVFactory

    java.lang.Object
      |
      +--org.w3c.www.webdav.xml.DAVFactory

public class DAVFactory
extends java.lang.Object

Constructor Summary
`DAVFactory()`

Method Summary
`protected static org.w3c.dom.Element` | `createDAVElement(org.w3c.dom.Document doc, java.lang.String name)`
`static DAVNode` | `createDAVNode(org.w3c.dom.Element el)` Create a DAVNode
`static DAVMultiStatus` | `createMultiStatus(org.w3c.dom.Element el)`
`static DAVPropAction` | `createPropAction(int type, DAVProperties props, org.w3c.dom.Document document)`
`static DAVProperties` | `createProperties(org.w3c.dom.Document document)` Create a DAVProperties node.
`static DAVProperties` | `createProperties(org.w3c.dom.Element el)` Create a DAVProperties node.
`static DAVPropertyUpdate` | `createPropertyUpdate(DAVPropAction[] act, org.w3c.dom.Document document)`
`static DAVPropertyUpdate` | `createPropertyUpdate(DAVPropAction act, org.w3c.dom.Document document)`
`static DAVPropertyUpdate` | `createPropertyUpdate(org.w3c.dom.Element el, DAVPropAction act)`
`static DAVPropStat` | `createPropStat(java.lang.String status, DAVProperties props, org.w3c.dom.Document document)`
`static DAVPropStat` | `createPropStat(java.lang.String status, org.w3c.dom.Document document)`
`static DAVPropStat` | `createPropStat(java.lang.String status, java.lang.String propname, org.w3c.dom.Document document)`
`static DAVPropStat` | `createPropStatNS(java.lang.String status, org.w3c.dom.Node node, org.w3c.dom.Document document)`
`static DAVResponse` | `createPropStatResponse(java.lang.String url, java.lang.String status, DAVProperties props, org.w3c.dom.Document document)`
`static DAVResponse` | `createResponse(java.lang.String url, org.w3c.dom.Document document)`
`static DAVResponse` | `createResponse(java.lang.String url, java.lang.String status, org.w3c.dom.Document document)`
`static DAVResponse` | `createResponse(java.lang.String url, java.lang.String status, java.lang.String description, org.w3c.dom.Document document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DAVFactory

    public DAVFactory()

Method Detail

### createDAVElement

    protected static org.w3c.dom.Element createDAVElement(org.w3c.dom.Document doc,
                                                          java.lang.String name)

### createDAVNode

    public static DAVNode createDAVNode(org.w3c.dom.Element el)

  Create a DAVNode
  Parameters:
    `el` - the DOM Element
  Returns:
    a DAVNode instance

### createProperties

    public static DAVProperties createProperties(org.w3c.dom.Document document)

  Create a DAVProperties node.
  Parameters:
    `document` - the xml document
  Returns:
    a DAVProperties instance

### createProperties

    public static DAVProperties createProperties(org.w3c.dom.Element el)

  Create a DAVProperties node.
  Parameters:
    `element` - the prop node
  Returns:
    a DAVProperties instance

### createPropStat

    public static DAVPropStat createPropStat(java.lang.String status,
                                             org.w3c.dom.Document document)

### createPropStat

    public static DAVPropStat createPropStat(java.lang.String status,
                                             java.lang.String propname,
                                             org.w3c.dom.Document document)

### createPropStatNS

    public static DAVPropStat createPropStatNS(java.lang.String status,
                                               org.w3c.dom.Node node,
                                               org.w3c.dom.Document document)

### createPropStat

    public static DAVPropStat createPropStat(java.lang.String status,
                                             DAVProperties props,
                                             org.w3c.dom.Document document)

### createResponse

    public static DAVResponse createResponse(java.lang.String url,
                                             org.w3c.dom.Document document)

### createResponse

    public static DAVResponse createResponse(java.lang.String url,
                                             java.lang.String status,
                                             org.w3c.dom.Document document)

### createResponse

    public static DAVResponse createResponse(java.lang.String url,
                                             java.lang.String status,
                                             java.lang.String description,
                                             org.w3c.dom.Document document)

### createPropStatResponse

    public static DAVResponse createPropStatResponse(java.lang.String url,
                                                     java.lang.String status,
                                                     DAVProperties props,
                                                     org.w3c.dom.Document document)

### createPropAction

    public static DAVPropAction createPropAction(int type,
                                                 DAVProperties props,
                                                 org.w3c.dom.Document document)

### createPropertyUpdate

    public static DAVPropertyUpdate createPropertyUpdate(DAVPropAction[] act,
                                                         org.w3c.dom.Document document)

### createPropertyUpdate

    public static DAVPropertyUpdate createPropertyUpdate(DAVPropAction act,
                                                         org.w3c.dom.Document document)

### createPropertyUpdate

    public static DAVPropertyUpdate createPropertyUpdate(org.w3c.dom.Element el,
                                                         DAVPropAction act)

### createMultiStatus

    public static DAVMultiStatus createMultiStatus(org.w3c.dom.Element el)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD